<?php
namespace admin\view;

class MenuManager
{

	public function show()
	{
		global $lang;

		$out = \admin\view\PagePanel::show( true , false , false , $lang -> getTrans( 'T_LISTA_MENU' ) );

		$dbrowse = new \DataBrowse( 'pcms_menu' );
		$dbrowse -> addPosition( 'name'     , $lang -> getTrans( 'T_NAZWA' )	, '' , '' , '' , true );
		$dbrowse -> addPosition( 'enabled'	, $lang -> getTrans( 'T_AKTYWNY' ), '' , \System::getComboYesNo() );
		$dbrowse -> addPositionSimple( $lang -> getTrans( 'T_EDYTUJ' ), '' , 'index.php?rw=edit' );
		$dbrowse -> addPositionSimple( $lang -> getTrans( 'T_USUN' )  , '' , '' , \System::deleteAction() );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'id ASC' );
		$dbrowse -> addLp();
		$out .= $dbrowse -> draw();

		return $out;
	}

	public function edit( $id = '' )
	{
		global $sys , $lang;

		$out = \admin\view\PagePanel::show( false , true , true , $lang -> getTrans( 'T_MENU' ) );

		$dbedit = new \DataEdit( 'pcms_menu' , 'id' , $id , 'index.php' );
		$dbedit -> addPosition( 'name'    , $lang -> getTrans( 'T_NAZWA' )  , 'text' );
		$dbedit -> addPosition( 'enabled' , $lang -> getTrans( 'T_AKTYWNY' ), 'radio' , '' , $sys -> getComboYesNo() );
		$out .= $dbedit -> draw();

		return $out;
	}
}
?>
